%define         clutter_version 1.0

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>
Name:           clutter-qt
Version:        1.0.0
Release:        1
BuildArch:	i686
Summary:        A basic QT clutter widget
Group:          Development/Languages
License:        LGPLv2+
URL:            http://www.clutter-project.org
Source0:        http://www.clutter-project.org/sources/%{name}/%{clutter_version}/%{name}-%{version}.tar.bz2
BuildRequires:  clutter-devel       

#Automatically resolved build dependencies
BuildRequires: cairo-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libgcc
BuildRequires: libpng-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libxcb-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXrender-devel
BuildRequires: mesa-libGL-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: pkg-config
BuildRequires: qt4-devel
BuildRequires: xcb-util-devel
BuildRequires: zlib-devel

BuildConflicts: xorg-x11-drv-fglrx
BuildConflicts: dkms-fglrx-x11-drv
BuildConflicts: xorg-x11-drv-nvidia
BuildConflicts: dkms-nvidia-x11-drv
BuildConflicts: xorg-x11-drv-nvidia-legacy
BuildConflicts: dkms-nvidia-legacy-x11-drv
BuildConflicts: xorg-x11-drv-nvidia-legacy96xx
BuildConflicts: dkms-nvidia-legacy96xx-x11-drv
BuildConflicts: xorg-x11-drv-nvidia-legacy173xx
BuildConflicts: dkms-nvidia-legacy173xx-x11-drv

%description
This allows clutter to be embedded in QT applications. 
We hope with further work in the future clutter-qt will 
also allow the reverse, namely embedding QT in Clutter

%package devel
Summary:        Clutter-qt development environment
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       gtk2+-devel clutter-devel

%description devel
Header files and libraries for building a extension library for the
clutter-gtk


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -p"
# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS
%{_libdir}/libclutter-qt-1.0.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/clutter-1.0/clutter-qt/clutter-qt.h
%{_libdir}/libclutter-qt-1.0.so
%exclude %{_libdir}/libclutter-qt-1.0.la
%{_pkgconfig}/clutter-qt-1.0.pc


%changelog
* Thu Nov 26 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-1
- Initial CCux package release
